Name:           perl-Pod-Snippets
Version:        0.14
Release:        7%{?dist}
Summary:        Extract and reformat snippets of POD
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Snippets/
Source0:        http://www.cpan.org/authors/id/D/DO/DOMQ/Pod-Snippets-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This class is a very simple extension of Pod::Parser that extracts POD
snippets from Perl code, and pretty-prints it so as to make it usable from
other Perl code. As demonstrated above, Pod::Snippets is immediately useful
to test-driven-development nutcases who want to put every single line of
Perl code under test, including code that is in the POD (typically a
SYNOPSIS section). There are other uses, such as storing a piece of
information that is both human- and machine-readable (e.g. an XML schema)
simultaneously as documentation and code.

%prep
%setup -q -n Pod-Snippets-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README eg/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-4
- Perl 5.22 rebuild

* Fri Sep 19 2014 Robin Lee <cheeselee@fedoraproject.org> - 0.14-3
- Additional cleanup
- Remove Requires perl(Pod::Parser)

* Thu Sep 18 2014 Robin Lee <cheeselee@fedoraproject.org> - 0.14-2
- BR: perl(base) perl(File::Path) perl(File::Spec::Functions)
  perl(File::Temp) perl(overload) perl(strict) perl(Test::More)
  perl(vars) perl(warnings)
- specfile cleanup

* Sat Sep 13 2014 Robin Lee <cheeselee@fedoraproject.org> 0.14-1
- Specfile autogenerated by cpanspec 1.78.
